Package org.eclipse.core.databinding.observable.set

## Interface ISetChangeListener<E>

Type Parameters:
  `E` - the type of elements in the set being observed

All Superinterfaces:
  `IObservablesListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface ISetChangeListener<E>
    extends IObservablesListener

Listener for changes to observable sets.

Since:
  1.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleSetChange​(SetChangeEvent<? extends E> event)` Handle a change to an observable set.

### Method Detail

#### handleSetChange

    void handleSetChange​(SetChangeEvent<? extends E> event)

Handle a change to an observable set. The given event object must only be used locally in this method because it may be reused for other change notifications. The diff object referenced by the event is immutable and may be used non-locally.

Parameters:
  `event` - the event